//------------------------------------------------------------------------------------------------------
// Name       : tsample.c
// Date       : 05.03.1997     Author : SM / OK    Language : D
//------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module TSAMPLE_.DLL. Together with
// the file TSAMPLE.RC, it is used to build the language library TSAMPLE.DLL.
// The library file TSAMPLE.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//------------------------------------------------------------------------------------------------------

#include        "windows.h"
#include        "windowsx.h"
#include        "stdlib.h"

#include        "e:\release4\tosoapi4.h"        // Toso Interface Definitions

//------ Language-dependent strings --------------------------------------------------------------------

DLL_EXPORT LPSTR
        eStartUpText    [] = {
          "Version 1.10d, %s\n\nCopyright 1997 TommySoftware\n\nEntwickler: Stefan Malz.",
          "Beispiel-Plug-In",                                                   // 01
          "Beispiel-Plug-In >",                                                 // 02
          END_TEXT
        },

        eDialogText     [] = {
          "TommySoftware Beispiel-Plug-In",                                    // 00
          "Stern (TSAMPLE)",                                                    // 01
          END_TEXT
        },

        eMessageText    [] = {
          "Dieses Plug-In bentigt mindestens\nToso-Schnittstellenversion 4.2.",// 00
          "Unzureichender Speicher.\nBitte andere Applikation schlieen, um fortzufahren.",     // 01
          "Ungltiger Wert.",                                                   // 02
          "Ungltige Anzahl. Erlaubt sind Wert von 3 bis 100.",                 // 03
          END_TEXT
        },

        eCommandName    [] = {
          "Beispiel-Plug-In >Stern (Polylinie)...",                             // 00
          "Beispiel-Plug-In >Stern (Benutzer-Objekt)...",                       // 01
          NULL,                                                                 // 02
          "Beispiel-Plug-In >Infos...",                                         // 03
          END_TEXT
        },

        eCommandEntry   [] = {
          "&1  Stern (Polylinie)...",                                           // 00
          "&2  Stern (Benutzer-Objekt)...",                                     // 01
          NULL,                                                                 // 02
          "&+  Infos...",                                                       // 03
          END_TEXT
        },

        eNewPoint       [] = {
          "Inneren Radius eingeben",                                            // 00
          "ueren Radius eingeben",                                            // 01
          END_TEXT
        };

//------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.

BOOL WINAPI DllMain( HINSTANCE hInstance, DWORD Reason, LPVOID Dummy )
{
  switch( Reason ) {
    case DLL_PROCESS_ATTACH:
      break;

    case DLL_PROCESS_DETACH:
      break;
  }
  return( TRUE );
}
